> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowscale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Checks the health status of all ComfyUI instances within the specified cluster. It verifies whether each ComfyUI instance is running or stopped.



## OpenAPI

````yaml GET /api/v1/comfy/health
openapi: 3.1.0
info:
  title: FlowScale ComfyUI API
  version: 2.0.0
servers:
  - url: https://your-deployment-api-url.pod.flowscale.ai
    description: 'Pod #your-pod (Default)'
  - url: '{apiEndpoint}'
    description: Deployed API Endpoint
    variables:
      apiEndpoint:
        default: https://your-domain.com
        description: Your project's deployed API endpoint
security: []
paths:
  /api/v1/comfy/health:
    get:
      tags:
        - comfy
      summary: Comfyui Health Check
      description: >-
        Checks the health status of all ComfyUI instances within the specified
        cluster. It verifies whether each ComfyUI instance is running or
        stopped.
      operationId: comfyui_health_check_api_v1_comfy_health_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComfyHealthCheckResponseWrapper'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ComfyHealthCheckResponseWrapper:
      properties:
        status:
          type: string
          title: Status
        data:
          items:
            $ref: '#/components/schemas/ComfyHealthCheckResponse'
          type: array
          title: Data
        errors:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Errors
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
      type: object
      required:
        - status
        - data
      title: ComfyHealthCheckResponseWrapper
    ComfyHealthCheckResponse:
      properties:
        url:
          type: string
          title: Url
        status:
          type: string
          title: Status
      type: object
      required:
        - url
        - status
      title: ComfyHealthCheckResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````